# /api/task/create

Creating a Task

* Endpoint: /api/task/create
* Method: POST;
* Authorization: required;
* Parameters:

Name (required): The name of the new Task;

QueueGuid (required): The GUID of the Queue to add the new Task;

Description: Description for the new Task;

Comment: Comment for the new Task;

Deadline: Deadline for the new Task;

Retries: Number of retries for the new Task;

Tags: Tags for the new Task, separated by ![](https://lh7-rt.googleusercontent.com/docsz/AD_4nXdIcUefyW11ns_VP24F0H_BqMA5881NJVZtlSwuRUlujF5LndDsBb1AaSgHjJWeTYl9-1bvrIE0vYohBzm0_bH8a5wdpJeNFTrmaLfCk7Ju2IUfk5W_3Lyyrl9eWEDno6xqZKcTbA?key=o0FHaGHt8wdv-FpDKfCXmTRa);

Parameters: Parameters of the new Task.

* Example:

| Request                                                                                                                   | Response                                                       |
| ------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------- |
| `json</p><p> {</p><p> "Name": "Test Task",</p><p> "QueueGuid": "16f94238-ede4343-435b-a001-1489b324342",</p><p> }</p><p>` | <p>\[</p><p>"guid":"16f94238-ede9-435b-a001-1489b32e7dc2"]</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sherparpa.ru/en/sherpa-rpa/sherpa-orchestrator/api/zadacha/api-task-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
